﻿using Android.App;
using Android.Widget;
using Android.OS;
using System;
using System.Threading.Tasks;
using System.Net.Http;
using Android.Content;
using Android.Util;
using Android.Views;

namespace DataGridInsideFragment
{
    [Activity(Label = "DataGridInsideFragment", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
       
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            SetContentView (Resource.Layout.Main);

            Button button = FindViewById<Button>(Resource.Id.button);
            button.Click += Button_Click;

            var newFragment = new CustomFragment(BaseContext);
            var fragment = FragmentManager.BeginTransaction();
            fragment.Add(Resource.Id.frameLayout, newFragment,"Fra");
            fragment.AddToBackStack("1");
            fragment.Commit();

            var newFragment1 = new CustomFragment(BaseContext) { LoadButton = true };
            var fragment1 = FragmentManager.BeginTransaction();
            fragment1.Add(Resource.Id.frameLayout1, newFragment1);
            fragment1.AddToBackStack("2");
            fragment1.Commit();
        }

        private async void Button_Click(object sender, EventArgs e)
        {
            await Task.Delay(500);
            this.FragmentManager.PopBackStack();
        }
    }
}

