using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using System.Collections.ObjectModel;

namespace DataGridInsideFragment
{
    public class OrderInfoRepository
    {
        public OrderInfoRepository()
        {
        }

        #region private variables

        private List<DateTime> OrderedDates;
        private Random random = new Random();

        #endregion

        #region GetOrderDetails

        public ObservableCollection<OrderInfo> GetOrderDetails(int count)
        {
            ObservableCollection<OrderInfo> orderDetails = new ObservableCollection<OrderInfo>();

            for (int i = 10001; i <= count + 10000; i++)
            {

                var ord = new OrderInfo()
                {
                    OrderID = i,
                    EmployeeID = random.Next(1700, 1800),
                    CustomerID = CustomerID[random.Next(15)],
                    IsClosed = ((i % random.Next(1, 10) > 5) ? true : false),
                };
                orderDetails.Add(ord);
            }
            return orderDetails;
        }

        internal OrderInfo RefreshItemsource(int i)
        {
            var order = new OrderInfo()
            {
                OrderID = i,
                EmployeeID = random.Next(1700, 1800),
            };
            return order;
        }

        internal OrderInfo GenerateOrder(int id)
        {
            var order = new OrderInfo()
            {
                OrderID = (id + 10000),
                EmployeeID = random.Next(1700, 1800),
            };
            return order;
        }

        #endregion

        #region MainGrid DataSource		

        string[] CustomerID = new string[] {
            "Alfki",
            "Frans",
            "Merep",
            "Folko",
            "Simob",
            "Warth",
            "Vaffe",
            "Furib",
            "Seves",
            "Linod",
            "Riscu",
            "Picco",
            "Blonp",
            "Welli",
            "Folig"
        };

        #endregion

    }
}